server.port=8105

# Enable all endpoints over HTTP
management.endpoints.web.exposure.include=*
management.endpoint.health.show-details=when_authorized

flowable.frontend.title=flowable-work

#spring.datasource.url=jdbc:h2:~/flowable-work-db/db;AUTO_SERVER=TRUE;DB_CLOSE_DELAY=-1
#spring.datasource.username=flowable
#spring.datasource.password=flowable

#Comment out and configure database
spring.datasource.url=jdbc:postgresql://localhost:5435/flowable
spring.datasource.username=flowable
spring.datasource.password=flowable

# Local Elasticsearch config
spring.elasticsearch.uris=http://localhost:9203

# spring.data.elasticsearch.repositories.enabled=true
# spring.data.elasticsearch.cluster-nodes=localhost:9300
# spring.data.elasticsearch.cluster-name=elasticsearch

flowable.indexing.index-name-prefix=flowable-work-
#Disable ElasticSearch Indexing
#flowable.indexing.enabled=false

# Enable Flowable Inspect
flowable.inspect.enabled=true

# Forms will update even if an old process/case/task definition will be used
flowable.platform.enable-latest-form-definition-lookup=true

# Server URL for REST calls
baseUrl=http://localhost:8105

# Email: Fake SMTP
flowable.mail.server.host=localhost
flowable.mail.server.port=2525

